Emitted when a value is removed from a RealTimeArray.

### Hierarchy

- ArrayRemoveEvent

### Implements

- IValueChangedEvent

## Index

### Properties

- element
- index
- local
- name
- oldValue
- sessionId
- user
- NAME

## Properties

### element

element: ObservableArray

Implementation of IValueChangedEvent.element

The RealTimeArray or HistoricalArray which was modified

### index

index: number

The index whose value was removed (and possibly replaced by another left-shifted value)

### local

local: boolean

Implementation of IValueChangedEvent.local

### name

name: string = ArrayRemoveEvent.NAME

Implementation of IValueChangedEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### oldValue

oldValue: ObservableElement<any>

A read-only representation of the RealTimeElement that was removed

### sessionId

sessionId: string

Implementation of IValueChangedEvent.sessionId

The sessionId corresponding to the session that performed the modification

### user

user: DomainUser

Implementation of IValueChangedEvent.user

The user which performed the modification

### StaticNAME

NAME: "remove" = "remove"